@import "abstracts/abstracts";

:host {
  .list {
    .author {
      background-color: $white !important;
      cursor: move;

      &:nth-child(odd) {
        background-color: $extra-light-grey !important;
      }

      .buttons {
        display: flex;
        flex-direction: column;

        .hide {
          visibility: hidden;
        }

        .up-bottom,
        .down-button {
          width: 25px;
          height: 25px;
          line-height: 25px;
        }
      }
    }
  }
}

.author {
  font-size: 14px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2px 10px;
}

.cdk-drag-preview {
  box-sizing: border-box;
  border-radius: 4px;
  box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2),
  0 8px 10px 1px rgba(0, 0, 0, 0.14),
  0 3px 14px 2px rgba(0, 0, 0, 0.12);
  background-color: $white !important;
  color: $text-color;

  .buttons {
    visibility: hidden;
  }
}

.cdk-drag-placeholder {
  opacity: 0;
}

.cdk-drag-animating {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

.list.cdk-drop-list-dragging .author:not(.cdk-drag-placeholder) {
  transition-property: transform, background-color;
  transition-duration: 250ms;
  transition-timing-function: cubic-bezier(0, 0, 0.2, 1);
  background-color: $white !important;

  .buttons {
    visibility: hidden;
  }
}

@include isInDarkMode {
  :host {
    .list {
      .author {
        background-color: $dark-mode-background !important;

        &:nth-child(odd) {
          background-color: $dark-mode-menu-active !important;
        }
      }
    }
  }
}
